package tv.ouya.console.internal;

import android.os.Bundle;
import android.os.RemoteException;
import tv.ouya.console.api.CreditCardInfo;
import tv.ouya.console.api.OuyaResponseListener;

public class CreditCardInfoListenerBinder
  extends ICreditCardInfoListener.Stub
{
  private ListenerBinderHelper<CreditCardInfo> binderHelper;
  
  public CreditCardInfoListenerBinder(OuyaResponseListener<CreditCardInfo> paramOuyaResponseListener)
  {
    this.binderHelper = new ListenerBinderHelper(paramOuyaResponseListener);
  }
  
  public void onCancel()
    throws RemoteException
  {
    this.binderHelper.onCancel();
  }
  
  public void onFailure(int paramInt, String paramString, Bundle paramBundle)
    throws RemoteException
  {
    this.binderHelper.onFailure(paramInt, paramString, paramBundle);
  }
  
  public void onSuccess(CreditCardInfo paramCreditCardInfo)
    throws RemoteException
  {
    this.binderHelper.onSuccess(paramCreditCardInfo);
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/CreditCardInfoListenerBinder.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */